Dist::Zilla::App::Command::test(3)

NAME
Dist::Zilla::App::Command::test - test your dist

VERSION
version 4.300016

SYNOPSIS
  dzil test [ --release ] [ --no-author ] [ --automated ] [ --all ]

DESCRIPTION
This command is a thin wrapper around the test method in Dist::Zilla. It builds your dist and runs the tests with the AUTHOR_TESTING environment variable turned on, so it's like doing this:

  export AUTHOR_TESTING=1
  dzil build --no-tgz
  cd $BUILD_DIRECTORY
  perl Makefile.PL
  make
  make test

A build that fails tests will be left behind for analysis, and dzil will exit a non-zero value. If the tests are successful, the build directory will be removed and dzil will exit with status 0.

OPTIONS

  --release
This will run the test suite with RELEASE_TESTING=1

  --automated
This will run the test suite with AUTOMATED_TESTING=1

  --no-author
This will run the test suite without setting AUTHOR_TESTING

  --all
Equivalent to --release --automated --author

AUTHOR
Ricardo SIGNES <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.